package de.fernunihagen.rtt.ui.app;

import org.contract4j5.contract.Contract;
import org.contract4j5.contract.Post;

import de.fernunihagen.rtt.framework.ITestApplication;

import de.fernunihagen.rtt.internal.runtime.ToolTestApplication;
import de.fernunihagen.rtt.ui.app.internal.RTTAppUIPlugin;

/**
 * A test workbench, used to run refactoring tool tests specified in command
 * line arguments.
 */
@Contract
public final class UIToolTestBench extends AbstractUITestBench {

	/**
	 * Application identifier
	 */
	public static final String ID = RTTAppUIPlugin.PLUGIN_ID + ".tooltestbench";

	private static final class UIToolTestBenchHolder {
		public static final ToolTestApplication _DEFAULT_APP = new ToolTestApplication();
	}

	@Override
	@Post
	protected ITestApplication getApplication() {
		return UIToolTestBenchHolder._DEFAULT_APP;
	}
}
