package de.fernunihagen.rtt.framework.oracle;

import org.contract4j5.contract.Contract;
import org.contract4j5.contract.Pre;

import de.fernunihagen.rtt.framework.ITestConfiguration;
import de.fernunihagen.rtt.framework.AbstractTestDescription;

/**
 * Oracle run description.
 * 
 * @author Osama El Hosami
 */
@Contract
public final class OracleRunDescription extends AbstractTestDescription {
	/**
	 * Creates an oracle run description
	 * 
	 * @param configuration
	 *            Test configuration
	 */
	@Pre("null != configuration")
	public OracleRunDescription(final ITestConfiguration configuration) {
		super(configuration);
	}
}
