package de.fernunihagen.rtt.internal.util;

import org.contract4j5.contract.Contract;
import org.contract4j5.contract.Pre;

/**
 * Null factory implementation.
 * 
 * @author Osama El Hosami
 * 
 * @param <P>
 *            Product type
 * @param <T>
 *            Participant type
 */
@Contract
public final class NullFactory<P, T> implements IFactory<P, T> {
	@Override
	@Pre
	public P create(T participant, Object key) {
		return null;
	}
}
