package de.fernunihagen.rtt.internal.jdt;

import org.contract4j5.contract.Contract;

import de.fernunihagen.rtt.framework.util.IObserver;

/**
 * JUnit test run listener interface.
 * 
 * @param <S>
 *            Test run subject type
 * 
 * @author Osama El Hosami
 */
@Contract
public interface IJUnitTestRunListener<S>
		extends
		IObserver<JUnitTestRun<S>, IJUnitTestRunListener<S>, JUnitTestRunNotification> {

}
